# VideoContent - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message.content.media / VideoContent

# VideoContent

(common) `data class VideoContent : MediaGroupContent` (source)

### Constructors

(common)

#### <init>

`VideoContent(media: VideoFile, caption: String? = null, captionEntities: List<TextPart> = emptyList())`

### Properties

(common)

#### caption

`val caption: String?`

(common)

#### captionEntities

Not full list of entities. This list WILL NOT contain TextParts with com.github.insanusmokrassar.TelegramBotAPI.types.MessageEntity.textsources.RegularTextSource

`val captionEntities: List<TextPart>`

(common)

#### media

`val media: VideoFile`

### Functions

(common)

#### asInputMedia

`fun asInputMedia(): InputMediaVideo`

(common)

#### createResend

`fun createResend(chatId: ChatIdentifier, disableNotification: Boolean, replyToMessageId: MessageIdentifier?, replyMarkup: KeyboardMarkup?): Request<ContentMessage<VideoContent>>`

(common)

#### toMediaGroupMemberInputMedia

`fun toMediaGroupMemberInputMedia(): MediaGroupMemberInputMedia`

### Extension Functions

(common)

#### fullEntitiesList

Convert its CaptionedInput.captionEntities to list of com.github.insanusmokrassar.TelegramBotAPI.CommonAbstracts.TextSource with com.github.insanusmokrassar.TelegramBotAPI.types.MessageEntity.textsources.RegularTextSource

`fun CaptionedInput.fullEntitiesList(): FullTextSourcesList`

(common)

#### toHtmlCaptions

`fun CaptionedInput.toHtmlCaptions(): List<String>`

(common)

#### toMarkdownCaptions

`fun CaptionedInput.toMarkdownCaptions(): List<String>`

(common)

#### toMarkdownV2Captions

`fun CaptionedInput.toMarkdownV2Captions(): List<String>`